Bug 112575 - ManifestSource/PDLFilter improperly loads pdl files.
ManifestSource/PDLFilter improperly loads pdl files.
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Archit Shah
Jon Orris
Depends On:
Blocks: 106481
  Show dependency treegraph
Reported: 2003-12-23 09:04 EST by Brett Prucha
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-27 16:39:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brett Prucha 2003-12-23 09:04:36 EST
Description of problem:
When pdl source contains a default pdl and database dependent pdl 
file com.arsdigita.persistence.pdl.ManifestSource loads both pdl's 
causing duplicate object definition errors.  Previous implimentations 
only loaded only the database dependent version if it existed 
otherwise it loaded the default version.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
Create two pdl files, a default one ex. Group.pdl and a database 
dependent pdl for the database ccm is using ex. Group.ora.pdl.    
Actual results:
ManifestSource will load both pdl's and throw an error.

Expected results:
ManifestSource should only load the database dependent pdl.

Additional info:
Comment 1 Archit Shah 2004-01-16 12:59:05 EST
fixed on dev (39453)
Comment 2 Dennis Gregorovic 2004-01-20 12:04:22 EST
@39505 I check in additional changes that brought back the ability to
load pdl from a jar and/or zip.  My changes work with the stuff that
Archit did.

Note You need to log in before you can comment on or make changes to this bug.